@import "../../../../assets/styles/colors";
@import "../../../../assets/styles/mixins";

.article_tags_list {
  display: flex;
  flex-direction: row;
  width: 100%;
  justify-content: flex-start;
  margin-bottom: 60px;
  flex-wrap: wrap;
  align-items: center;
}

.article_tags {
  width: auto;
  padding: 8px 24px;
  color: inherit;
  border-radius: 40px;
  box-shadow: 0 6px 8px $bg-color-secondary;
  background-color: inherit;
  white-space: nowrap;
  margin: 0 4px 10px 3px;
  user-select: none;
  cursor: pointer;
}

.article_tags:hover {
  @include boxShadowDefault;
}

.article_tags:active {
  @include boxShadowActive;
}

.article-tags-proprieties-wrapper {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: left;
  margin-bottom: 15px;
}

.article-tags-show-button {
  background-color: $orange-color-1;
  color: $button-font-color;
  border: none;
  border-radius: 8px;
  height: 32px;
  padding: 0 5px;
  margin: 0 3px 3px 3px;

  &:disabled {
    background-color: $font-secondary-color;
  }
}

.article-tags-hide-button {
  color: $button-font-color;
  background-color: $blue-color;
  border: none;
  border-radius: 8px;
  height: 32px;
  padding: 0 5px;
  margin: 0 3px 3px 3px;

  &:disabled {
    background-color: $font-secondary-color;
  }
}

.article_tags_checked {
  background-color: $blue-color;
  background-image: url(../../../../assets/images/checked.svg);
  background-repeat: no-repeat;
  text-align: right;
  background-position: 9px 10px, bottom right;
  padding-left: 37px;
  padding-right: 11px;
}
